#!/bin/sh

# Setting
# mounted directory : $MOUNTDIR/$PREFIX1 ~ $PREFIX$MAXNUM (ex /usb/usb1 ~ /usb/usb10)
ENABLE=1
DEBUG_MESSAGE=0
MOUNTBASEDIR=/dtv/usb
ACL_PROGRAMDIR=/mtd_boot/usb_mount
RFS_PROGRAMDIR=/sbin/usb_mount
MOUNTPROGRAM=usb_mount
CMDPROGRAM=usb_cmd
NETCMDPROGRAM=usb_net_cmd

# Program Directory setting
if [ -f $ACL_PROGRAMDIR/$MOUNTPROGRAM ]; then
        PROGRAMDIR=$ACL_PROGRAMDIR
else
        PROGRAMDIR=$RFS_PROGRAMDIR
fi

LOCKFILE=$MOUNTBASEDIR/lock

# Input argument
ACTION=$1
DEVPATH=$2
PRODUCT=$3
INTERFACE=$4
TYPE=$5

DEBUG_MESSAGE_FILE=/dtv/usb_message

if [ "$ENABLE" -eq 1 ]
then
# RUN
	CLASS=`echo $DEVPATH | sed 's/^\///g' | sed 's/\/.*//g'`

	if [ "$CLASS" = "block" ]
	then
		if [ $DEBUG_MESSAGE -eq 1 ]; then
			echo "USB Hotplug Message : \"$ACTION\" \"$DEVPATH\" \"$PRODUCT\" \"$INTERFACE\" \"$TYPE\"" >> $DEBUG_MESSAGE_FILE
		fi

		DEVICE=`echo $DEVPATH | sed 's/^\/[^\/]*\///g' | sed 's/\/.*//g'`
		PARTITION=`echo $DEVPATH | sed 's/^\/[^\/]*\///g' | sed 's/^[^\/]*\///g'`

		if [ $DEBUG_MESSAGE -eq 1 ]; then
			echo "$PROGRAMDIR/$CMDPROGRAM $ACTION $DEVICE $PARTITION" >> $DEBUG_MESSAGE_FILE
		fi

		$PROGRAMDIR/$CMDPROGRAM $ACTION $DEVICE $PARTITION

		if [ ! -f $LOCKFILE ]; then
			mkdir -p $MOUNTBASEDIR
			touch $LOCKFILE
			$PROGRAMDIR/$MOUNTPROGRAM
		fi
	else
		DEVICE=`echo $DEVPATH | sed 's/\/class\/net\///g' | sed 's/rausb./rausb/g'`
		if [ "$DEVICE" = "rausb" ]
		then
			PARTITION=$PRODUCT
			mkdir -p $MOUNTBASEDIR
			$PROGRAMDIR/$NETCMDPROGRAM $ACTION $DEVICE $PARTITION
		else
			DEVICE=`echo $DEVPATH | sed 's/\/class\/net\///g' | sed 's/ra11n./ra11n/g'`
			if [ "$DEVICE" = "ra11n" ]
			then
				PARTITION=$PRODUCT
				mkdir -p $MOUNTBASEDIR
				$PROGRAMDIR/$NETCMDPROGRAM $ACTION $DEVICE $PARTITION
			fi
		fi
	fi
fi
